Don't abuse the API when that's not what is tested
[openssl.git] / crypto / comp / comp_err.c
1 /*
2  * Generated by util/mkerr.pl DO NOT EDIT
3  * Copyright 1995-2019 The OpenSSL Project Authors. All Rights Reserved.
4  *
5  * Licensed under the Apache License 2.0 (the "License").  You may not use
6  * this file except in compliance with the License.  You can obtain a copy
7  * in the file LICENSE in the source distribution or at
8  * https://www.openssl.org/source/license.html
9  */
10
11 #include <openssl/err.h>
12 #include <openssl/comperr.h>
13
14 #ifndef OPENSSL_NO_ERR
15
16 static const ERR_STRING_DATA COMP_str_reasons[] = {
17     {ERR_PACK(ERR_LIB_COMP, 0, COMP_R_ZLIB_DEFLATE_ERROR),
18     "zlib deflate error"},
19     {ERR_PACK(ERR_LIB_COMP, 0, COMP_R_ZLIB_INFLATE_ERROR),
20     "zlib inflate error"},
21     {ERR_PACK(ERR_LIB_COMP, 0, COMP_R_ZLIB_NOT_SUPPORTED),
22     "zlib not supported"},
23     {0, NULL}
24 };
25
26 #endif
27
28 int ERR_load_COMP_strings(void)
29 {
30 #ifndef OPENSSL_NO_ERR
31     if (ERR_reason_error_string(COMP_str_reasons[0].error) == NULL)
32         ERR_load_strings_const(COMP_str_reasons);
33 #endif
34     return 1;
35 }